IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			tbSecretType
		WHERE 
			tbSecretType.SecretTypeName = 'Credit Card'
	)
BEGIN
	DBCC CHECKIDENT ('[dbo].[tbSecretType]', RESEED, 1)	
	DBCC CHECKIDENT ('[dbo].[tbSecretField]', RESEED, 1)
	SET IDENTITY_INSERT [dbo].[tbSecretType] ON
	INSERT INTO [dbo].[tbSecretType] (
		[SecretTypeId]
		,[SecretTypeName]
		,[ConcurrencyID]
		)
	SELECT 1, 'Credit Card'		, 'c95558fe-8094-41d8-a9a7-382f3cb38d1b'
	SET IDENTITY_INSERT [dbo].[tbSecretType] OFF
	
	SET IDENTITY_INSERT [dbo].[tbSecretField] ON
	INSERT INTO [dbo].[tbSecretField] (
		[SecretFieldId]
		,[SecretFieldName]
		,[SecretFieldDisplayName]
		,[SortOrder]
		,[SecretTypeID]
		,[Required]
		,[DataType]
		,[MustEncrypt]
		,[IsPassword]
		,[ConcurrencyID]
		)
	SELECT 1, 'FullName'      , 'Full Name'         , 1, 1, 1, 'string'	,0, 0, '27ac901e-4e9c-4700-99e5-f0f799515e7e' UNION
	SELECT 2, 'Number'        , 'Credit Card Number', 2, 1, 1, 'string' 	,1, 0, '17a1f9d3-d24c-4d6d-bf35-ec7875339522' UNION
	SELECT 3, 'ExpirationDate', 'Expiration Date'   , 3, 1, 1, 'datetime' 	,1, 0, '57058b10-444c-42ce-8813-a8eb468897b1' UNION
	SELECT 4, 'SecurityCode'  , 'Security Code'     , 4, 1, 0, 'string' 	,1, 0, '18cc0d08-b84e-4f4c-a589-d5c957b3ee09' UNION
	SELECT 5, 'CardType'      , 'Card Type'         , 5, 1, 1, 'string' 	,0, 0, 'a1efa7ac-6047-4512-b617-2710f1adbcde' UNION
	SELECT 6, 'Notes'         , 'Notes'             , 6, 1, 0, 'string' 	,0, 0, 'd8554bce-7274-409e-be92-5e419aef978e'
	SET IDENTITY_INSERT [dbo].[tbSecretField] OFF
END

